Bug 910222 - CVE-2013-1664 CVE-2013-1665 OpenStack cinder: XML entity parsing
Summary: CVE-2013-1664 CVE-2013-1665 OpenStack cinder: XML entity parsing
Status: CLOSED ERRATA
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130219,repor...
Keywords: Security
Depends On: 910232
Blocks: 910225 CVE-2013-1665 CVE-2013-1664
TreeView+ depends on / blocked
 
Reported: 2013-02-12 03:58 UTC by Kurt Seifried
Modified: 2019-06-08 19:25 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-02-20 04:58:39 UTC


Attachments (Terms of Use)
cinder-folsom-CVE-2013-0279.patch (9.42 KB, patch)
2013-02-12 03:58 UTC, Kurt Seifried
no flags Details | Diff
cinder-grizzly-CVE-2013-0279.patch (11.19 KB, patch)
2013-02-12 03:58 UTC, Kurt Seifried
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0658 normal SHIPPED_LIVE Moderate: openstack-cinder security and enhancement update 2013-03-21 22:12:06 UTC

Description Kurt Seifried 2013-02-12 03:58:07 UTC
Thierry Carrez (thierry@openstack.org) reports:

Title: Information leak and Denial of Service using XML entities
Reporter: Jonathan Murray (NCC Group), Joshua Harlow (Yahoo!), Stuart Stent
Products: Keystone, Nova, Cinder
Affects: All versions

Description:
Jonathan Murray from NCC Group, Joshua Harlow from Yahoo! and Stuart
Stent independently reported a vulnerability in the parsing of XML
requests in Keystone, Nova and Cinder. By using entities in XML
requests, an unauthenticated attacker may consume excessive resources on
the Keystone, Nova or Cinder API servers, resulting in a denial of
service and potentially a crash. This only affects servers with XML 
support enabled.

Proposed patches:
See attached patches for current development tree (Grizzly) and the
Folsom and Essex series for each of the affected projects. Unless a flaw
is discovered in them, these proposed patches will be merged to master,
stable/folsom and stable/essex branches on the public disclosure date.

Comment 1 Kurt Seifried 2013-02-12 03:58:43 UTC
Created attachment 696353 [details]
cinder-folsom-CVE-2013-0279.patch

Comment 2 Kurt Seifried 2013-02-12 03:58:59 UTC
Created attachment 696354 [details]
cinder-grizzly-CVE-2013-0279.patch

Comment 5 errata-xmlrpc 2013-03-21 18:13:25 UTC
This issue has been addressed in following products:

  OpenStack Folsom for RHEL 6

Via RHSA-2013:0658 https://rhn.redhat.com/errata/RHSA-2013-0658.html


Note You need to log in before you can comment on or make changes to this bug.